name: 'Go test code'

on:
  push:
    branches:
      - master

jobs:
  test:
    runs-on: ubuntu-latest
    steps:
      - name: 'Checkout gitea action'
        uses: actions/checkout@v4
        
      - name: 'Setup Go'
        uses: actions/setup-go@v5
        with:
          go-version-file: 'go.mod'
          
      - name: 'Go version'
        run: go version
          
      - name: 'Run Test'
        run: |
          export GOPATH="$HOME/go/"
          export GOBIN=$PATH:GOPATH/bin
          go test -v ./... 
